Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepository.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepository.java	(revision 3627)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/KnowledgeRepository.java	(revision 3628)
@@ -1,28 +1,20 @@
 package org.txm.annotation.kr.core.repository;
 
 import java.io.File;
-import java.net.URL;
 import java.util.HashMap;
 import java.util.List;
 import java.util.logging.Level;
-import java.util.logging.Logger;
 
 import javax.persistence.EntityManager;
 import javax.persistence.EntityManagerFactory;
 import javax.persistence.Query;
 import javax.persistence.TypedQuery;
-import javax.persistence.spi.PersistenceUnitInfo;
 
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.persistence.config.PersistenceUnitProperties;
-import org.eclipse.persistence.internal.jpa.deployment.JPAInitializer;
-import org.eclipse.persistence.internal.jpa.deployment.SEPersistenceUnitInfo;
 import org.eclipse.persistence.jpa.PersistenceProvider;
-import org.osgi.framework.Bundle;
 import org.txm.Toolbox;
 import org.txm.annotation.kr.core.DatabasePersistenceManager;
-import org.txm.core.preferences.TBXPreferences;
-import org.txm.utils.BundleUtils;
 import org.txm.utils.logger.Log;
 
 public abstract class KnowledgeRepository { // extends Vector<AnnotationType>
@@ -125,7 +117,6 @@
 		
 		// Logger.getLogger("org").setLevel(Level.ALL);
 		PersistenceProvider pp = new PersistenceProvider();
-		
 		emf = pp.createEntityManagerFactory(DatabasePersistenceManager.PERSISTENCE_UNIT_NAME, properties);
 		if (emf == null) {
 			Log.warning(NLS.bind("Error: could not create the ''{0}'' EntityManagerFactory and PersistenceProvider={1}.", DatabasePersistenceManager.PERSISTENCE_UNIT_NAME, pp));
@@ -133,6 +124,7 @@
 		}
 		EntityManager entityManager = (EntityManager) emf.createEntityManager();
 		this.jpaem = entityManager;
+		
 		return entityManager;
 	}
 	
@@ -247,6 +239,7 @@
 	 * @throws Exception
 	 */
 	public List<TypedValue> getValues(AnnotationType type, int limit) throws Exception {
+		
 		TypedQuery<TypedValue> query = jpaem.createQuery("SELECT t FROM TypedValue AS t "
 				+ "WHERE t.PK.typeId LIKE '" + type.getId() + "'", TypedValue.class);
 		if (limit != -1) {
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/AnnotationType.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/AnnotationType.java	(revision 3627)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/repository/AnnotationType.java	(revision 3628)
@@ -4,6 +4,8 @@
 
 import javax.persistence.Entity;
 import javax.persistence.Id;
+import javax.persistence.IdClass;
+import javax.persistence.Table;
 
 /**
  * An annotation typed defined in a named Knowledge repository
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationPK.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationPK.java	(revision 3627)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationPK.java	(revision 3628)
@@ -2,7 +2,7 @@
 
 import java.io.Serializable;
 
-import javax.persistence.*;
+import javax.persistence.Embeddable;
 
 @Embeddable
 public class AnnotationPK implements Serializable {
Index: TXM/trunk/org.txm.chartsengine.graphstream.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.chartsengine.graphstream.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.chartsengine.graphstream.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -10,7 +10,7 @@
  chartsengine.core;bundle-version="1.0.0";visibility:=reexport,org.txm
  .core;visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.chartsengine.graphstream.core
 

Index: TXM/trunk/org.txm.lexicaltable.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.lexicaltable.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.lexicaltable.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -10,7 +10,7 @@
  reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.lexicaltable.core
 
Index: TXM/trunk/org.txm.whatsnew.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.whatsnew.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.whatsnew.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -5,7 +5,7 @@
 Bundle-Version: 1.0.0.qualifier
 Bundle-Vendor: textometrie.org
 Automatic-Module-Name: org.txm.whatsnew.rcp
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Require-Bundle: org.txm.rcp;bundle-version="0.8.2",
+Bundle-RequiredExecutionEnvironment: JavaSE-16
+Require-Bundle: org.txm.rcp;bundle-version="0.8.3",
  org.txm.core
 Import-Package: org.txm
Index: TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/NewsPreferences.java
===================================================================
--- TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/NewsPreferences.java	(revision 3627)
+++ TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/NewsPreferences.java	(revision 3628)
@@ -33,6 +33,6 @@
 		preferences.put(NEWS_VERSION, "0"); // $NON-NLS-1$
 		
 		preferences.putBoolean(SHOW_NEW_SETUP, true);
-		preferences.put(NEW_SETUP_VERSION, "0.8.2"); // $NON-NLS-1$
+		preferences.put(NEW_SETUP_VERSION, "0.8.3"); // $NON-NLS-1$
 	}
 }

Index: TXM/trunk/org.txm.setups/BuildLinux64bit.sh
===================================================================
--- TXM/trunk/org.txm.setups/BuildLinux64bit.sh	(revision 3627)
+++ TXM/trunk/org.txm.setups/BuildLinux64bit.sh	(revision 3628)
@@ -1,12 +1,14 @@
-VERSIONWITHOUTSUB=`cat ../org.txm.rcp/VERSION`
-SUBVERSION=`cat ../org.txm.rcp/SUBVERSION`
+DIRNAME=`dirname $0`
+VERSIONWITHOUTSUB=`cat $DIRNAME/../bundles/org.txm.rcp/VERSION`
+SUBVERSION=`cat $DIRNAME/../bundles/org.txm.rcp/SUBVERSION`
 VERSION=${VERSIONWITHOUTSUB}${SUBVERSION}
 
 STEP=$1
 ARCH="64"
 ARCHCODE="x86_64"
 TIMESTAMP=`date +"%Y-%m-%d"`
-APP="TXM_${VERSION}_${TIMESTAMP}_Linux${ARCH}"
+APP="$DIRNAME/TXM_${VERSION}_${TIMESTAMP}_Linux${ARCH}"
+BUILDDIR="$DIRNAME/../products/org.txm.rcp.product/target/products/org.txm.rcp.app/linux/gtk/$ARCHCODE"
 
 rm -rf "$APP"
 mkdir "$APP"
@@ -15,19 +17,19 @@
 echo purge | sudo debconf-communicate TXM
 
 # ensure postinst preinst ... rights
-chmod 644 shared/debian/DEBIAN/templates &&
-chmod 755 shared/debian/DEBIAN/postinst &&
-chmod 755 shared/debian/DEBIAN/postrm &&
-chmod 755 shared/debian/DEBIAN/preinst &&
-chmod 755 shared/debian/usr/bin/TXM*
+chmod 644 $DIRNAME/shared/debian/DEBIAN/templates &&
+chmod 755 $DIRNAME/shared/debian/DEBIAN/postinst &&
+chmod 755 $DIRNAME/shared/debian/DEBIAN/postrm &&
+chmod 755 $DIRNAME/shared/debian/DEBIAN/preinst &&
+chmod 755 $DIRNAME/shared/debian/usr/bin/TXM*
 if [ $? != 0 ]; then
 	echo "** $APP: failed to set rights of postinst preinst ... files "
 	exit 1;
 fi
 
 # remove old profile that can contains unwanted repositories
-rm -f "exportRCP/linux.gtk.${ARCHCODE}/TXM/p2/org.eclipse.equinox.p2.engine/.settings/*" &&
-rm -f "exportRCP/linux.gtk.${ARCHCODE}/TXM/p2/org.eclipse.equinox.p2.engine/profileRegistry/profile.profile/.data/.settings/*"
+rm -f "$BUILDDIR/p2/org.eclipse.equinox.p2.engine/.settings/*" &&
+rm -f "$BUILDDIR/p2/org.eclipse.equinox.p2.engine/profileRegistry/profile.profile/.data/.settings/*"
 if [ $? != 0 ]; then
 	echo "** $APP: failed to remove p2 preferences"
 	exit 1;
@@ -36,28 +38,30 @@
 mkdir -p "$APP/usr/lib/TXM"
 
 # copy debian shared files: INSTALL, R libs...
-rsync -r  --exclude '.svn' shared/debian/* "$APP"
+rsync -r  --exclude '.svn' $DIRNAME/shared/debian/* "$APP"
 if [ $? != 0 ]; then
 	echo "** $APP: failed to get 'debian' shared files"
 	exit 1;
 fi
 
 # copy shared files: css, xsl, scripts, samples...
-rsync -r  --exclude '.svn' shared/all/* "$APP/usr/lib/TXM"
+rsync -r  --exclude '.svn' $DIRNAME/shared/all/* "$APP/usr/lib/TXM"
 if [ $? != 0 ]; then
 	echo "** $APP: failed to get shared files"
 	exit 1;
 fi
 
 # copy eclise arch dependent build
-rsync -r  --exclude '.svn' "exportRCP/linux.gtk.${ARCHCODE}/TXM" "$APP/usr/lib"
+rsync -r  --exclude '.svn' "$BUILDDIR" "$APP/usr/lib/TXM"
+cp -rf "$APP/usr/lib/TXM/$ARCHCODE/"* "$APP/usr/lib/TXM"
+rm -rf "$APP/usr/lib/TXM/$ARCHCODE"
 if [ $? != 0 ]; then
 	echo "** $APP: failed to get ${ARCH}bit binaries Linux $ARCHCODE files"
 	exit 1;
 fi
 
 echo " clean"
-bash directoryCleaner.sh "$APP"
+bash $DIRNAME/directoryCleaner.sh "$APP"
 if [ $? != 0 ]; then
 	echo "** $APP: failed to clean Debian package $APP"
 	exit 1;
Index: TXM/trunk/org.txm.setups/BuildAll.sh
===================================================================
--- TXM/trunk/org.txm.setups/BuildAll.sh	(revision 3627)
+++ TXM/trunk/org.txm.setups/BuildAll.sh	(revision 3628)
@@ -1,29 +1,23 @@
 #echo "get scripts"
-sh getSharedFiles.sh
-if [ $? != 0 ]; then
-	echo "** Failed to get shared files"
-	exit 1;
-fi
+DIRNAME=`dirname $0`
 
-echo "Linux64"
-sh Linux64bit.sh
+echo "LINUX !!"
+sh $DIRNAME/BuildLinux64bit.sh
 if [ $? != 0 ]; then
 	echo "** Failed to get build Linux64"
-	exit 1;
 fi
 
-echo "MacOSX"
-sh MacOSXIntel.sh
+echo "MacOSX :("
+sh $DIRNAME/BuildMacOSXIntel.sh
 if [ $? != 0 ]; then
 	echo "** Failed to get build Mac OS X"
-	exit 1;
 fi
 
-echo "Win64"
-sh Win64bit.sh
+echo "WINDOWS !!"
+sh $DIRNAME/BuildWin64bit.sh
 if [ $? != 0 ]; then
 	echo "** Failed to get build Win64"
-	exit 1;
 fi
 
 #play end.wav
+echo "DONE !!"
Index: TXM/trunk/org.txm.setups/shared/mac/INSTALL
===================================================================
--- TXM/trunk/org.txm.setups/shared/mac/INSTALL	(revision 3627)
+++ TXM/trunk/org.txm.setups/shared/mac/INSTALL	(revision 3628)
@@ -92,6 +92,9 @@
 chmod +rx "$TXMINSTALLDIR/Contents/MacOS/TXM"
 chmod -R +rx /opt/local/lib
 
+#necessary to launch the app
+sudo xattr -cd "$TXMINSTALLDIR"
+
 echo "sudo chown -R $USER $TXMINSTALLDIR"
 sudo chown -R "$USER" "$TXMINSTALLDIR"
 
Index: TXM/trunk/org.txm.setups/shared/mac/BUILDPKG.pkgproj
===================================================================
--- TXM/trunk/org.txm.setups/shared/mac/BUILDPKG.pkgproj	(revision 3627)
+++ TXM/trunk/org.txm.setups/shared/mac/BUILDPKG.pkgproj	(revision 3628)
@@ -1207,11 +1207,11 @@
 					<key>DICTIONARY</key>
 					<dict>
 						<key>IC_REQUIREMENT_CPU_ARCHITECTURE_FAMILY</key>
-						<integer>2</integer>
+						<integer>0</integer>
 						<key>IC_REQUIREMENT_CPU_INTEL_ARCHITECTURE_TYPE</key>
-						<integer>2</integer>
+						<integer>0</integer>
 						<key>IC_REQUIREMENT_CPU_MINIMUM_CPU_CORES_COUNT</key>
-						<integer>1</integer>
+						<integer>0</integer>
 						<key>IC_REQUIREMENT_CPU_MINIMUM_FREQUENCY</key>
 						<integer>866666</integer>
 						<key>IC_REQUIREMENT_CPU_POWERPC_ARCHITECTURE_TYPE</key>
Index: TXM/trunk/org.txm.setups/shared/mac/Applications/TXM.app/Contents/MacOS/TXM
===================================================================
--- TXM/trunk/org.txm.setups/shared/mac/Applications/TXM.app/Contents/MacOS/TXM	(revision 3627)
+++ TXM/trunk/org.txm.setups/shared/mac/Applications/TXM.app/Contents/MacOS/TXM	(revision 3628)
@@ -104,7 +104,7 @@
 	fi
 
     echo "TXM: getting '/Applications/TXM-TXMVERSION.app/launcher.ini' and set write permission of '$DOTTXMHOME/launcher.ini'"
-    cp "/Applications/TXM-TXMVERSION.app/Contents/TXM/launcher.ini" "$DOTTXMHOME/launcher.ini" &&
+    cp "/Applications/TXM-TXMVERSION.app/Contents/Eclipse/launcher.ini" "$DOTTXMHOME/launcher.ini" &&
     chmod +w "$DOTTXMHOME/launcher.ini";
     
     if [ $? != 0 ]; then
@@ -152,6 +152,6 @@
 echo "TXM: Running TXM for Mac OS X $OSVERSION with the JAR launcher..."
 ) 1>&3 2>&4
 
-echo "Starting TXM with --launcher.ini '$DOTTXMHOME/launcher.ini' -configuration '$DOTTXMHOME/configuration' -user '$DOTTXMHOME/user' -install '/Applications/TXM-TXMVERSION.app/Contents/TXM'"
+echo "Starting TXM with --launcher.ini '$DOTTXMHOME/launcher.ini' -configuration '$DOTTXMHOME/configuration' -user '$DOTTXMHOME/user' -install '/Applications/TXM-TXMVERSION.app/Contents/Eclipse'"
  
-/Applications/TXM-TXMVERSION.app/Contents/MacOS/launcher -vm /Applications/TXM-TXMVERSION.app/Contents/TXM/jre/Contents/Home/bin -XX:MaxPermSize=256m -XstartOnFirstThread $TXMINIARGSVM -jar "$(echo /Applications/TXM-TXMVERSION.app/Contents/TXM/plugins/org.eclipse.equinox.launcher_*.jar)" -os macosx -ws cocoa -arch x86_64 -showsplash -run --launcher.ini "$DOTTXMHOME/launcher.ini" -configuration "$DOTTXMHOME/configuration" -user "$DOTTXMHOME/user" -install "/Applications/TXM-TXMVERSION.app/Contents/TXM"
+/Applications/TXM-TXMVERSION.app/Contents/MacOS/launcher $TXMINIARGSVM -configuration "$DOTTXMHOME/configuration" -user "$DOTTXMHOME/user" -install "/Applications/TXM-TXMVERSION.app/Contents/Eclipse"
Index: TXM/trunk/org.txm.setups/pushTXMExtUpdateToGIT.sh
===================================================================
--- TXM/trunk/org.txm.setups/pushTXMExtUpdateToGIT.sh	(revision 3627)
+++ TXM/trunk/org.txm.setups/pushTXMExtUpdateToGIT.sh	(revision 3628)
@@ -3,7 +3,7 @@
 if [ ! $# -eq 2 ]
   then
     echo "** Error: called with $# args. usage: 'pushTXMExtUpdateToGIT.sh VERSION LEVEL'"
-    echo "** eg ./pushTXMExtUpdateToGIT.sh 0.8.2 alpha"
+    echo "** eg ./pushTXMExtUpdateToGIT.sh 0.8.3 alpha"
     exit 1
 fi
 
Index: TXM/trunk/org.txm.setups/BuildMacOSXIntel.sh
===================================================================
--- TXM/trunk/org.txm.setups/BuildMacOSXIntel.sh	(revision 3627)
+++ TXM/trunk/org.txm.setups/BuildMacOSXIntel.sh	(revision 3628)
@@ -1,113 +1,102 @@
-VERSION=`cat ../org.txm.rcp/VERSION`
-SUBVERSION=`cat ../org.txm.rcp/SUBVERSION`
+DIRNAME=`dirname $0`
+VERSION=`cat $DIRNAME/../bundles/org.txm.rcp/VERSION`
+SUBVERSION=`cat $DIRNAME/../bundles/org.txm.rcp/SUBVERSION`
 FULLVERSION=${VERSION}${SUBVERSION}
 STEP=$1
 TIMESTAMP=`date +"%Y-%m-%d"`
+APP="$DIRNAME/TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX"
+SHAREDMAC="$DIRNAME/shared/mac"
+SHAREDALL="$DIRNAME/shared/all"
 
-rm -f "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX.tar.gz"
-rm -rf "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX"
-mkdir "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX"
+rm -f "$APP.tar.gz"
+rm -rf "$APP"
+mkdir "$APP"
 
 # ensure INSTALL CLEAN file rights
-chmod 775 shared/mac/INSTALL shared/mac/CLEAN
+chmod 775 $SHAREDMAC/INSTALL $SHAREDMAC/CLEAN
 if [ $? != 0 ]; then
 	echo "** $APP: failed to set rights of INSTALL CLEAN files "
 	exit 1;
 fi
 
 echo " copy mac shared files: R"
-rsync -r  --exclude '.svn' shared/mac/* "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX"
+rsync -r  --exclude '.svn' $SHAREDMAC/* "$APP"
 if [ $? != 0 ]; then
 	echo "** MacOSXIntel.sh : failed to copy Mac shared files"
 	exit 1;
 fi
 
 echo " copy shared files: css, xsl, scripts, samples..."
-rsync -r  --exclude '.svn' shared/all/* "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/Applications/TXM.app/Contents/TXM"
+rsync -r  --exclude '.svn' $SHAREDALL/* "$APP/Applications/TXM.app/Contents/Eclipse"
 if [ $? != 0 ]; then
 	echo "** MacOSXIntel.sh : failed to copy shared files"
 	exit 1;
 fi
 
 echo " convert licence files encoding to MacRoman"
-iconv -f utf8 -t MAC shared/all/license_agreement_fr.txt > "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/Applications/TXM.app/Contents/TXM/license_agreement_fr.txt"
-iconv -f utf8 -t MAC shared/all/license_agreement.txt > "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/Applications/TXM.app/Contents/TXM/license_agreement.txt"
-iconv -f utf8 -t MAC shared/all/LICENSE_FR.TXT > "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/Applications/TXM.app/Contents/TXM/LICENSE_FR.TXT"
-iconv -f utf8 -t MAC shared/all/LICENSE.TXT > "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/Applications/TXM.app/Contents/TXM/LICENSE.TXT"
+iconv -f utf8 -t MAC $SHAREDALL/license_agreement_fr.txt > "$APP/Applications/TXM.app/Contents/Eclipse/license_agreement_fr.txt"
+iconv -f utf8 -t MAC $SHAREDALL/license_agreement.txt > "$APP/Applications/TXM.app/Contents/Eclipse/license_agreement.txt"
+iconv -f utf8 -t MAC $SHAREDALL/LICENSE_FR.TXT > "$APP/Applications/TXM.app/Contents/Eclipse/LICENSE_FR.TXT"
+iconv -f utf8 -t MAC $SHAREDALL/LICENSE.TXT > "$APP/Applications/TXM.app/Contents/Eclipse/LICENSE.TXT"
 
 echo " remove parasite settings"
-rm -f "exportRCP/macosx.cocoa.x86_64/TXM/p2/org.eclipse.equinox.p2.engine/.settings/*" &&
-rm -f "exportRCP/macosx.cocoa.x86_64/TXM/p2/org.eclipse.equinox.p2.engine/profileRegistry/profile.profile/.data/.settings/*"
+rm -f "$DIRNAME/../products/org.txm.rcp.product/target/products/org.txm.rcp.app/macosx/cocoa/x86_64/TXM.app/Contents/Eclipse/p2/org.eclipse.equinox.p2.engine/.settings/*" &&
+rm -f "$DIRNAME/../products/org.txm.rcp.product/target/products/org.txm.rcp.app/macosx/cocoa/x86_64/TXM.app/Contents/Eclipse/p2/org.eclipse.equinox.p2.engine/profileRegistry/profile.profile/.data/.settings/*"
 if [ $? != 0 ]; then
 	echo "** $APP: failed to remove p2 preferences"
 	exit 1;
 fi
 
 echo " copy eclipse arch dependent build"
-rsync -r  --exclude '.svn' "exportRCP/macosx.cocoa.x86_64/"* "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/Applications/TXM.app/Contents"
+rsync -r  --exclude '.svn' "$DIRNAME/../products/org.txm.rcp.product/target/products/org.txm.rcp.app/macosx/cocoa/x86_64/"* "$APP/Applications/"
 if [ $? != 0 ]; then
 	echo "** MacOSXIntel.sh : failed to binaries files"
 	exit 1;
 fi
 
-chmod +x "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/INSTALL" &&
-chmod +x "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/CLEAN"
+chmod +x "$APP/INSTALL" &&
+chmod +x "$APP/CLEAN"
 if [ $? != 0 ]; then
 	echo "** MacOSXIntel.sh : failed to chmod +x INSTALL & CLEAN files"
 	exit 1;
 fi
 
 #echo "set LSUIElement to 1"
-#find ./TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/Applications/TXM.app/.main.app/Contents/Info.plist -type f -exec sed -i 's/<dict>/<dict><key>LSUIElement<\/key><string>1<\/string>/g' {} \;
+#find ./$APP/Applications/TXM.app/.main.app/Contents/Info.plist -type f -exec sed -i 's/<dict>/<dict><key>LSUIElement<\/key><string>1<\/string>/g' {} \;
 #if [ $? != 0 ]; then
 #	echo "** MacOSXIntel.sh : failed to fix Info.plist"
 #	exit 1;
 #fi
 
 echo " clean"
-bash directoryCleaner.sh "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX"
+bash $DIRNAME/directoryCleaner.sh "$APP"
 if [ $? != 0 ]; then
-	echo "** $APP: failed to clean mac setup TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX"
+	echo "** $APP: failed to clean mac setup $APP"
 	exit 1;
 fi
 
 echo " search&replace in files TXMVERSION"
-find "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/CLEAN" -type f -exec sed -i "s/TXMVERSION/$FULLVERSION/g" {} \;
-find "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/finish_en.txt" -type f -exec sed -i "s/TXMVERSION/$FULLVERSION/g" {} \;
-find "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/INSTALL" -type f -exec sed -i "s/TXMVERSION/$FULLVERSION/g" {} \;
-find "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/BUILDPKG.pkgproj" -type f -exec sed -i "s/TXM_TXMVERSION_MacOSX_installer/TXM_${VERSION}_${TIMESTAMP}_MacOSX_installer/g" {} \;
-find "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/BUILDPKG.pkgproj" -type f -exec sed -i "s/TXMVERSION/$FULLVERSION/g" {} \;
-find "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/BUILDPKG.pkgproj" -type f -exec sed -i "s/TXMMAJORVERSION/$VERSION/g" {} \;
-find "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/Applications/TXM.app/Contents/MacOS/TXM" -type f -exec sed -i "s/TXMMAJORVERSION/$VERSION/g" {} \;
-find "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/Applications/TXM.app/Contents/MacOS/TXM" -type f -exec sed -i "s/TXMVERSION/$FULLVERSION/g" {} \;
-find "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/Applications/TXM.app/Contents/Info.plist" -type f -exec sed -i "s/launcher/TXM/gi" {} \;
+find "$APP/CLEAN" -type f -exec sed -i "s/TXMVERSION/$FULLVERSION/g" {} \;
+find "$APP/finish_en.txt" -type f -exec sed -i "s/TXMVERSION/$FULLVERSION/g" {} \;
+find "$APP/INSTALL" -type f -exec sed -i "s/TXMVERSION/$FULLVERSION/g" {} \;
+find "$APP/BUILDPKG.pkgproj" -type f -exec sed -i "s/TXM_TXMVERSION_MacOSX_installer/TXM_${VERSION}_${TIMESTAMP}_MacOSX_installer/g" {} \;
+find "$APP/BUILDPKG.pkgproj" -type f -exec sed -i "s/TXMVERSION/$FULLVERSION/g" {} \;
+find "$APP/BUILDPKG.pkgproj" -type f -exec sed -i "s/TXMMAJORVERSION/$VERSION/g" {} \;
+find "$APP/Applications/TXM.app/Contents/MacOS/TXM" -type f -exec sed -i "s/TXMMAJORVERSION/$VERSION/g" {} \;
+find "$APP/Applications/TXM.app/Contents/MacOS/TXM" -type f -exec sed -i "s/TXMVERSION/$FULLVERSION/g" {} \;
+find "$APP/Applications/TXM.app/Contents/Info.plist" -type f -exec sed -i "s/launcher/TXM/gi" {} \;
 
 # +x the executable rights
-chmod +x "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/Applications/TXM.app/Contents/MacOS/"*
+chmod +x "$APP/Applications/TXM.app/Contents/MacOS/"*
 
 echo " rename files to add VERSION=$VERSION"
-mv "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/Applications/TXM.app" "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX/Applications/TXM-${FULLVERSION}.app"
+mv "$APP/Applications/TXM.app" "$APP/Applications/TXM-${FULLVERSION}.app"
 
-echo "Tar gz TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX"
-tar -zcf "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX.tar.gz" "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX"
+echo "Tar gz $APP"
+tar -zcf "$APP.tar.gz" "$APP"
 if [ $? != 0 ]; then
-	echo "** MacOSXIntel.sh : failed to tar gz TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX"
+	echo "** MacOSXIntel.sh : failed to tar gz $APP"
 	exit 1;
 fi
 
-if [ "$STEP" = "" ] ; then
-	echo "Local test: The archive is not sent to shared files."
-else
-	echo "Sending to ensldfs.ens-lyon.fr/services/labo_ana_corpus/PartageTemp"
-	smbclient -A auth.txt "//ensldfs.ens-lyon.fr/services" -c "cd \"/Laboratoires/labo_ana_corpus/Projets/Textométrie/Logiciel/TXM/$STEP\" ; put TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX.zip ; exit"
-	if [ $? != 0 ]; then
-		echo "** MacOSXIntel.sh : failed to send TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX to labo_ana_corpus"
-		exit 1;
-	fi
-fi
 
-#cp "TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX.tar.gz" /run/user/1001/gvfs/smb-share\:server\=ensldfs.ens-lyon.fr\,share\=services\,user\=$USER/Laboratoires/labo_ana_corpus/PartageTemp
-#if [ $? != 0 ]; then
-#	echo "** $APP: TXM_${FULLVERSION}_${TIMESTAMP}_MacOSX.tar.gz not copied PartageTemp"
-#	exit 1;
-#fi
Index: TXM/trunk/org.txm.setups/.project
===================================================================
--- TXM/trunk/org.txm.setups/.project	(revision 3627)
+++ TXM/trunk/org.txm.setups/.project	(revision 3628)
@@ -5,7 +5,26 @@
 	<projects>
 	</projects>
 	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.statet.docmlet.resourceProjects.TexBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.statet.r.resourceProjects.RBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.statet.docmlet.resourceProjects.WikitextBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
 	</buildSpec>
 	<natures>
+		<nature>org.eclipse.statet.ide.resourceProjects.Statet</nature>
+		<nature>org.eclipse.statet.r.resourceProjects.R</nature>
+		<nature>org.eclipse.statet.docmlet.resourceProjects.Wikitext</nature>
+		<nature>org.eclipse.statet.docmlet.resourceProjects.Tex</nature>
 	</natures>
 </projectDescription>
Index: TXM/trunk/org.txm.setups/pushTXMUpdateToGIT.sh
===================================================================
--- TXM/trunk/org.txm.setups/pushTXMUpdateToGIT.sh	(revision 3627)
+++ TXM/trunk/org.txm.setups/pushTXMUpdateToGIT.sh	(revision 3628)
@@ -3,7 +3,7 @@
 if [ ! $# -eq 2 ]
   then
     echo "** Error: called with $# args. usage: 'pushTXMUpdateToGIT.sh VERSION LEVEL'"
-    echo "** eg ./pushTXMUpdateToGIT.sh 0.8.2 alpha"
+    echo "** eg ./pushTXMUpdateToGIT.sh 0.8.3 alpha"
     exit 1
 fi
 
Index: TXM/trunk/org.txm.setups/BuildWin64bit.sh
===================================================================
--- TXM/trunk/org.txm.setups/BuildWin64bit.sh	(revision 3627)
+++ TXM/trunk/org.txm.setups/BuildWin64bit.sh	(revision 3628)
@@ -1,19 +1,22 @@
-VERSION=`cat ../org.txm.rcp/VERSION`
-SUBVERSION=`cat ../org.txm.rcp/SUBVERSION`
+DIRNAME=`dirname $0`
+VERSION=`cat $DIRNAME/../bundles/org.txm.rcp/VERSION`
+SUBVERSION=`cat $DIRNAME/../bundles/org.txm.rcp/SUBVERSION`
 FULLVERSION=${VERSION}${SUBVERSION}
 STEP=$1
 ARCH="64"
 ARCHCODE="x86_64"
 TIMESTAMP=`date +"%Y-%m-%d"`
-APP="TXM_${FULLVERSION}_${TIMESTAMP}_Win${ARCH}_installer"
+APP="$DIRNAME/TXM_${FULLVERSION}_${TIMESTAMP}_Win${ARCH}_installer"
+BUILDDIR="$DIRNAME/../products/org.txm.rcp.product/target/products/org.txm.rcp.app/win32/win32/$ARCHCODE"
 
+
 echo "BUILDING $APP..."
 echo "Make dir"
 rm -rf "${APP}"
 mkdir "${APP}"
 
 echo "copy shared files: css, xsl, scripts, samples..."
-rsync -r  --exclude '.svn' "shared/all"/* "${APP}"
+rsync -r  --exclude '.svn' "$DIRNAME/shared/all"/* "${APP}"
 
 if [ $? != 0 ]; then
 	echo "** ${APP}: copy Win shared files failed"
@@ -21,34 +24,29 @@
 fi
 
 echo "convert licence files encoding to Windows-1252"
-iconv -f utf8 -t WINDOWS-1252 shared/all/license_agreement_fr.txt > "$APP/license_agreement_fr.txt"
-iconv -f utf8 -t WINDOWS-1252 shared/all/license_agreement.txt > "$APP/license_agreement.txt"
-iconv -f utf8 -t WINDOWS-1252 shared/all/LICENSE_FR.TXT > "$APP/LICENSE_FR.TXT"
-iconv -f utf8 -t WINDOWS-1252 shared/all/LICENSE.TXT > "$APP/LICENSE.TXT"
+iconv -f utf8 -t WINDOWS-1252 $DIRNAME/shared/all/license_agreement_fr.txt > "$APP/license_agreement_fr.txt"
+iconv -f utf8 -t WINDOWS-1252 $DIRNAME/shared/all/license_agreement.txt > "$APP/license_agreement.txt"
+iconv -f utf8 -t WINDOWS-1252 $DIRNAME/shared/all/LICENSE_FR.TXT > "$APP/LICENSE_FR.TXT"
+iconv -f utf8 -t WINDOWS-1252 $DIRNAME/shared/all/LICENSE.TXT > "$APP/LICENSE.TXT"
 
 echo "copy win shared files: *.ico, TestPreInstall.jar..."
-rsync -r  --exclude '.svn' "shared/win"/* "${APP}"
+rsync -r  --exclude '.svn' "$DIRNAME/shared/win"/* "${APP}"
 
 if [ $? != 0 ]; then
 	echo "** ${APP}: copy Win arch files failed"
 	exit 1;
 fi
 
-# ensure JRE files are here
-if [ ! -d "${APP}/jre/bin" ]; then
-	echo "** $APP: JRE files are missing."
-	exit 1;
-fi
 
-rm -f "exportRCP/win32.win32.${ARCHCODE}/TXM/p2/org.eclipse.equinox.p2.engine/.settings/*" &&
-rm -f "exportRCP/win32.win32.${ARCHCODE}/TXM/p2/org.eclipse.equinox.p2.engine/profileRegistry/profile.profile/.data/.settings/*"
+rm -f "$BUILDDIR/p2/org.eclipse.equinox.p2.engine/.settings/*" &&
+rm -f "$BUILDDIR/p2/org.eclipse.equinox.p2.engine/profileRegistry/profile.profile/.data/.settings/*"
 if [ $? != 0 ]; then
 	echo "** $APP: failed to remove p2 preferences"
 	exit 1;
 fi
 
 echo "copy eclipse arch dependent build"
-rsync -r  --exclude '.svn' "exportRCP/win32.win32.${ARCHCODE}/TXM/"* "${APP}"
+rsync -r --exclude '.svn' "$BUILDDIR/"* "${APP}"
 
 if [ $? != 0 ]; then
 	echo "** ${APP}: copy Win build files failed"
@@ -57,17 +55,16 @@
 
 #echo "copy cqp JNI libs near TXM executable"
 echo "copy CQP binary files"
-cp "../org.txm.libs.cqp.win32/res/win64"/*.dll "${APP}/" &&
-cp "../org.txm.libs.cqp.win32/res/win64"/*.dll "${APP}/TXM"
+cp "$DIRNAME/../bundles/org.txm.libs.cqp.win32/res/win64"/*.dll "${APP}/" &&
+cp "$DIRNAME/../bundles/org.txm.libs.cqp.win32/res/win64"/*.dll "${APP}/TXM"
 
 if [ $? != 0 ]; then
 	echo "** ${APP}: copy Win lib files failed"
 	exit 1;
 fi
 
-
 echo "clean"
-bash directoryCleaner.sh "$APP"
+bash $DIRNAME/directoryCleaner.sh "$APP"
 if [ $? != 0 ]; then
 	echo "** $APP: failed to clean win64 setup $APP"
 	exit 1;
@@ -79,7 +76,7 @@
 find "$APP/TXM.bat" -type f -exec sed -i "s/TXMVERSION/${VERSION}/g" {} \;
 
 echo "build executable"
-wine nsis/makensis.exe -V1 ${APP}/txm.nsi 2> logs64
+wine $DIRNAME/nsis/makensis.exe -V1 ${APP}/txm.nsi 2> logs64
 
 if [ ! -e "${APP}.exe" ]; then
 	echo "** ${APP}.exe : not builded"
Index: TXM/trunk/org.txm.dictionary.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.dictionary.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.dictionary.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -5,18 +5,23 @@
 Bundle-SymbolicName: org.txm.dictionary.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: %Bundle-Name
-Require-Bundle: org.txm.rcp;bundle-version="0.8.0";visibility:=reexpor
- t,org.txm.libs.groovy-all;bundle-version="2.3.3";visibility:=reexport
- ,org.txm.core;bundle-version="0.7.0";visibility:=reexport,org.eclipse
- .ui;visibility:=reexport,org.eclipse.core.runtime;visibility:=reexpor
- t,org.txm.utils.core;visibility:=reexport,org.eclipse.persistence.jpa
- ;bundle-version="2.6.0";visibility:=reexport,org.txm.index.core;bundl
- e-version="1.0.0";visibility:=reexport,org.txm.index.rcp;bundle-versi
- on="1.0.0";visibility:=reexport,javax.persistence;visibility:=reexpor
- t
+Require-Bundle: org.txm.rcp;bundle-version="0.8.3";visibility:=reexport,
+ org.txm.libs.groovy-all;bundle-version="2.3.3";visibility:=reexport,
+ org.txm.core;bundle-version="0.7.0";visibility:=reexport,
+ org.eclipse.ui;visibility:=reexport,
+ org.eclipse.core.runtime;visibility:=reexport,
+ org.txm.utils.core;visibility:=reexport,
+ org.txm.index.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.index.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.eclipse.persistence.jpa;visibility:=reexport,
+ org.eclipse.persistence.asm,
+ org.eclipse.persistence.jpa.jpql,
+ org.eclipse.persistence.core,
+ org.eclipse.persistence.antlr,
+ jakarta.persistence
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.dictionary.rcp
 

Index: TXM/trunk/org.txm.svn.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.svn.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.svn.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -16,7 +16,7 @@
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
 Bundle-Activator: svnenvironement.Activator
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.svn.rcp
 

Index: TXM/trunk/org.txm.libs.colt/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.colt/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.colt/META-INF/MANIFEST.MF	(revision 3628)
@@ -11,7 +11,7 @@
 Bundle-Version: 1.2.0
 Bundle-ClassPath: .,lib/colt-1.2.0.jar
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: https://dst.lbl.gov/ACSSoftware/colt/
 Automatic-Module-Name: org.txm.libs.colt
 

